.search-item {
  display: block;
  padding: 0.5rem;
  margin-top: 0.5rem;
}

.search-item:hover {
  background-color: #e9e9e9;
}

.alert {
  overflow: hidden;
  width: 100%;
  margin: 5px 0;
  position: fixed;
  z-index: 100;
  bottom: 60px;
  left: 50%;
  opacity: 0;
  transform: translate(-50%);
  background-color: #e9e9e9;
  color: #000;
  max-width: 400px;
  padding: 20px;
  text-align: center;
  border-radius: 10px 10px;
  animation: show-alert;
  animation-duration: 0.2s;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
}

.alert-danger {
  color: #fff;
  background-color: rgb(250, 59, 59);
}

.alert-success {
  color: #fff;
  background-color: rgb(63, 214, 43);
}

.closeButton {
  position: absolute;
  right: 4px;
  top: 4px;
  padding: 1px 6px;
  border-radius: 100%;
  cursor: pointer;
  font-size: 12px;
}

.closeButton:hover {
  background-color: rgb(255, 255, 255, 0.2);
}

@keyframes show-alert {
  100% {
    bottom: 80px;
    opacity: 100%;
  }
}
@keyframes hide-alert {
  0% {
    bottom: 80px;
    opacity: 100%;
  }
  100% {
    bottom: 60px;
    opacity: 0;
  }
}

.progress-danger {
  height: 5px;
  width: 100%;
  background: linear-gradient(to right, #ffb8b8, #ff8989);
  position: absolute;
  bottom: 0;
  left: 0;
  animation: hide-progress-bar 10s linear;
}

.progress-success {
  height: 5px;
  width: 100%;
  background: linear-gradient(to right, #c8ffc8, #9cff9c);
  position: absolute;
  bottom: 0;
  left: 0;
  animation: hide-progress-bar 10s linear;
}

@keyframes hide-progress-bar {
  0% {
    width: 100%;
  }
  100% {
    width: 0;
  }
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.carousel-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ===== TRIX: универсальный стиль изображений ===== */
figure.attachment {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 4px auto;
}

figure.attachment img {
  max-width: 600px;
  width: 100%;
  height: auto;
  border-radius: 6px;
}

figure.attachment figcaption {
  display: none;
}

figure.attachment a {
  pointer-events: none;
  cursor: default;
}
